Wish: default to Node 4.3 environment #5

Closed
markstos opened this Issue Apr 15, 2016 · 3 comments

Projects

None yet

2 participants

@markstos
Contributor

Currently the Lambda is being set to run in the Node 0.10 environment. Setting the default to Node 4.3 would be preferred to take advantage of newer syntax. Having a runtime config option in the YAML file could be useful.

@markstos
Contributor

Unrelated, I gave this module a positive review on my blog, here: http://mark.stosberg.com/blog/tech/review-of-nodejs-lambda-serverless/

@u-minor
Owner
u-minor commented Apr 18, 2016

You can use Runtime param to set Node 4.3 in the yaml file.

https://github.com/u-minor/aglex/blob/master/lib/aglexLib.js#L450

lambda:
  Handler: lambda.handler
  Runtime: nodejs4.3
  MemorySize: 128
  Timeout: 60
  FunctionName: YOUR_LAMBDA_FUNCTION_NAME
  Description: YOUR_LAMBDA_DESCRIPTION
  RoleName: YOUR_LAMBDA_EXECUTION_ROLE # Role ARN will generate from RoleName automatically

I will update default params.
Thanks!

@u-minor u-minor self-assigned this Apr 18, 2016
@u-minor
Owner
u-minor commented Apr 18, 2016

cf83524

fixed and released new version.

@u-minor u-minor closed this Apr 18, 2016
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment